Query parameters
-
Comma separated list of relationships to include in the response. Valid relationships are [clients, file].
-
Filter by a comma separated list of UUIDs.
-
Filter by partial document title
-
date Filter documents created before a given date. Format: YYYY-MM-DD
-
date Filter documents created after a given date. Format: YYYY-MM-DD
-
Filter by a comma separated list of client UUIDs.
-
Comma separated string of circle UUIDs to filter by.
-
Field to sort by. Valid fields are [created_at, updated_at]. Negative sign to denote DESC. Defaults to 'updated_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/document
curl \
--request GET 'https://api.plannrcrm.com/api/v1/document' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
[
{
"uuid": "5b1262bd-0b69-4ca4-a2ef-5b2214025ed0",
"created_at": "2026-11-16T13:00:51+00:00",
"updated_at": "2026-11-16T13:00:51+00:00",
"version": 3,
"name": "Welcome Template",
"status": "published",
"last_publishing_error": "There was an error converting this file to PDF. Please try again later.",
"required_dependants": {
"client-1": "client"
},
"known_dependants": {
"client-1": "9bf68584-c627-4691-9376-cda6891caceb"
},
"public_docx_url": "https://api.plannrcrm.com/document/a535d46c-da61-4835-af42-c60a39b42fb8/content/docx?plannr_account_uuid=6e9e3439-b850-4eaa-8957-6a12c6ec85d2",
"public_sfdt_url": "https://api.plannrcrm.com/document/d50c6518-cc9d-493a-b357-85b7c378f556/content/sfdt?plannr_account_uuid=50ad3a30-5af9-44eb-affc-9fae976856b6",
"public_pdf_url": "https://api.plannrcrm.com/document/11695626-b570-4dbb-9838-d4884fb7936c/content/pdf?plannr_account_uuid=5975b570-1086-4946-8138-f3d972803343",
"public_preview_url": "https://api.plannrcrm.com/document/8d9cb161-b4f6-4c79-818a-b8a1cfda9a2f/content/preview?plannr_account_uuid=5803f7e5-101f-4950-8830-af6d6ec2a989"
}
]
]
}